package be.jeffcheasey88.peeratcode.parser.java;

import java.util.Set;
import java.util.function.Function;

public abstract class JavaElement {

	public abstract int parse(String content, CleanerPool global, CleanerPool local) throws Exception;
	
	public abstract JavaElement find(Function<JavaElement, Boolean> search, Function<Set<JavaElement>, Boolean> deep, Set<JavaElement> trace);
	
	//Only for development
	public abstract void show(int tab);
}
